Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## java.awt
Enum MultipleGradientPaint.CycleMethod

    java.lang.Object
      java.lang.Enum<MultipleGradientPaint.CycleMethod>
          java.awt.MultipleGradientPaint.CycleMethod

All Implemented Interfaces:
  Serializable, Comparable<MultipleGradientPaint.CycleMethod>

Enclosing class:
  MultipleGradientPaint

    public static enum MultipleGradientPaint.CycleMethod

extends Enum<MultipleGradientPaint.CycleMethod>

The method to use when painting outside the gradient bounds.

Since:
  1.6

Enum Constant Summary
`NO_CYCLE` Use the terminal colors to fill the remaining area.
`REFLECT` Cycle the gradient colors start-to-end, end-to-start to fill the remaining area.
`REPEAT` Cycle the gradient colors start-to-end, start-to-end to fill the remaining area.

Method Summary
`static MultipleGradientPaint.CycleMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MultipleGradientPaint.CycleMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_CYCLE

    public static final MultipleGradientPaint.CycleMethod NO_CYCLE

  Use the terminal colors to fill the remaining area.

### REFLECT

    public static final MultipleGradientPaint.CycleMethod REFLECT

  Cycle the gradient colors start-to-end, end-to-start to fill the remaining area.

### REPEAT

    public static final MultipleGradientPaint.CycleMethod REPEAT

  Cycle the gradient colors start-to-end, start-to-end to fill the remaining area.

Method Detail

### values

    public static MultipleGradientPaint.CycleMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MultipleGradientPaint.CycleMethod c : MultipleGradientPaint.CycleMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MultipleGradientPaint.CycleMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.